GET api/Allergies?externalId={externalId}
Gets information about allergy.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Unique ID of the allergy on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
AllergyModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the allergy (Required). |
string |
None. |
| Active |
Indicates whether the allergy is active or not. |
boolean |
None. |
| SeverityExternalIds |
List of serverity IDs related to this allergy. |
Collection of string |
None. |
| ReactionExternalIds |
List of reaction IDs related to this allergy. |
Collection of string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
string |
None. |
| ExternalId |
Unique ID of the model in the integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"active": true,
"severityExternalIds": [
"sample string 1",
"sample string 2"
],
"reactionExternalIds": [
"sample string 1",
"sample string 2"
],
"id": "sample string 3",
"externalId": "sample string 4"
}
application/xml, text/xml
Sample:
<AllergyModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AllergiesMaster.Allergies">
<ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 4</ExternalId>
<Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 3</Id>
<Active>true</Active>
<Name>sample string 1</Name>
<ReactionExternalIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</ReactionExternalIds>
<SeverityExternalIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</SeverityExternalIds>
</AllergyModel>